classification
Title: Add os.path.relpath
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: collinwinter, georg.brandl, rbarran
Priority: normal Keywords:

Created on 2005-09-30 18:38 by georg.brandl, last changed 2007-03-30 07:21 by collinwinter. This issue is now closed.

Messages (3)
msg54623 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-09-30 18:38
Add a method to os.path which calculates the
"difference" of two paths.

See this python-dev thread for details and sample
implementations:
http://mail.python.org/pipermail/python-dev/2005-September/056391.html

msg54624 - (view) Author: Richard Barran (rbarran) Date: 2005-10-27 18:33
Logged In: YES 
user_id=1207189

Hi,

Submitted a patch #1339796 to add this function.
msg54625 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-30 07:21
Applied rbarran's patch as r54419.
History
Date User Action Args
2005-09-30 18:38:15birkenfeldcreate